import request from '@/utils/request'

// api地址
const api = {
  list: 'groupon.goods/list',
  detail: 'groupon.goods/detail',
  poster: 'groupon.goods/poster'
}

// 拼团商品列表
export const list = (param) => {
  return request.get(api.list, param)
}

// 拼团商品详情
export const detail = (grouponGoodsId, param) => {
  return request.get(api.detail, { grouponGoodsId, ...param })
}

// 生成商品海报
export const poster = param => {
  return request.get(api.poster, param)
}
